Discussion:
Make installation package fails on Manjaro
(too old to reply)
Jørn Erik Mørne
2014-09-13 21:28:44 UTC
Permalink
If I may add one more issue - hope I am not flooding here now, but this
one has been around since day one. On Manjaro, making installation
packages fail...

========================================

Saving CHANGELOG file.

========================================

Creating package for Archlinux.

========================================

Making build directory.
cd /tmp/gambas.1000/30587/archlinux
makepkg -g >> PKGBUILD
==> Henter kilder...
==> FEIL: syncthinggui-0.0.4.tar.bz2 ble ikke funnet i build-mappen, og
den er heller ikke en URL.
Creating package...

cd /tmp/gambas.1000/30587/archlinux
makepkg --allsource
==> Lager pakke: syncthinggui 0.0.4-1 (lø. 13. sep. 23:23:28 +0200 2014)
==> Henter kilder...
==> FEIL: syncthinggui-0.0.4.tar.bz2 ble ikke funnet i build-mappen, og
den er heller ikke en URL.
cd /tmp/gambas.1000/30587/archlinux
makepkg -d
==> Lager pakke: syncthinggui 0.0.4-1 (lø. 13. sep. 23:23:28 +0200 2014)
==> ADVARSEL: Hopper over kontroll av avhengigheter.
==> Henter kilder...
==> FEIL: syncthinggui-0.0.4.tar.bz2 ble ikke funnet i build-mappen, og
den er heller ikke en URL.
cd /tmp/gambas.1000/30587/archlinux
cp syncthinggui-0.0.4-1*.tar.*
/home/myUser/Programmering/GambasBuilds/Sycthing\ GUI/archlinux
cp: klarte ikke å hente informasjon om «syncthinggui-0.0.4-1*.tar.*»:
Ingen slik fil eller filkatalog
The packages have been successfully created.
Benoît Minisini
2014-09-13 21:41:15 UTC
Permalink
Post by Jørn Erik Mørne
If I may add one more issue - hope I am not flooding here now, but this
one has been around since day one. On Manjaro, making installation
packages fail...
========================================
Saving CHANGELOG file.
========================================
Creating package for Archlinux.
========================================
Making build directory.
cd /tmp/gambas.1000/30587/archlinux
makepkg -g >> PKGBUILD
==> Henter kilder...
==> FEIL: syncthinggui-0.0.4.tar.bz2 ble ikke funnet i build-mappen, og
den er heller ikke en URL.
Creating package...
cd /tmp/gambas.1000/30587/archlinux
makepkg --allsource
==> Lager pakke: syncthinggui 0.0.4-1 (lø. 13. sep. 23:23:28 +0200 2014)
==> Henter kilder...
==> FEIL: syncthinggui-0.0.4.tar.bz2 ble ikke funnet i build-mappen, og
den er heller ikke en URL.
cd /tmp/gambas.1000/30587/archlinux
makepkg -d
==> Lager pakke: syncthinggui 0.0.4-1 (lø. 13. sep. 23:23:28 +0200 2014)
==> ADVARSEL: Hopper over kontroll av avhengigheter.
==> Henter kilder...
==> FEIL: syncthinggui-0.0.4.tar.bz2 ble ikke funnet i build-mappen, og
den er heller ikke en URL.
cd /tmp/gambas.1000/30587/archlinux
cp syncthinggui-0.0.4-1*.tar.*
/home/myUser/Programmering/GambasBuilds/Sycthing\ GUI/archlinux
Ingen slik fil eller filkatalog
The packages have been successfully created.
Can you translate the messages in english for me? I see that many things
failed, but I have no idea what.
--
Benoît Minisini
Jørn Erik Mørne
2014-09-13 21:47:42 UTC
Permalink
Post by Benoît Minisini
Post by Jørn Erik Mørne
If I may add one more issue - hope I am not flooding here now, but this
one has been around since day one. On Manjaro, making installation
packages fail...
========================================
Saving CHANGELOG file.
========================================
Creating package for Archlinux.
========================================
Making build directory.
cd /tmp/gambas.1000/30587/archlinux
makepkg -g >> PKGBUILD
==> Henter kilder...
==> FEIL: syncthinggui-0.0.4.tar.bz2 ble ikke funnet i build-mappen, og
den er heller ikke en URL.
Creating package...
cd /tmp/gambas.1000/30587/archlinux
makepkg --allsource
==> Lager pakke: syncthinggui 0.0.4-1 (lø. 13. sep. 23:23:28 +0200 2014)
==> Henter kilder...
==> FEIL: syncthinggui-0.0.4.tar.bz2 ble ikke funnet i build-mappen, og
den er heller ikke en URL.
cd /tmp/gambas.1000/30587/archlinux
makepkg -d
==> Lager pakke: syncthinggui 0.0.4-1 (lø. 13. sep. 23:23:28 +0200 2014)
==> ADVARSEL: Hopper over kontroll av avhengigheter.
==> Henter kilder...
==> FEIL: syncthinggui-0.0.4.tar.bz2 ble ikke funnet i build-mappen, og
den er heller ikke en URL.
cd /tmp/gambas.1000/30587/archlinux
cp syncthinggui-0.0.4-1*.tar.*
/home/myUser/Programmering/GambasBuilds/Sycthing\ GUI/archlinux
Ingen slik fil eller filkatalog
The packages have been successfully created.
Can you translate the messages in english for me? I see that many things
failed, but I have no idea what.
========================================

Saving CHANGELOG file.

========================================

Creating package for Archlinux.

========================================

Making build directory.
cd /tmp/gambas.1000/30587/archlinux
makepkg -g >> PKGBUILD
==> Fetching sources
==> ERROR: syncthinggui-0.0.4.tar.bz2 was not found in the build-folder,
and is not a URL.
Creating package...

cd /tmp/gambas.1000/30587/archlinux
makepkg --allsource
==> Adding package: syncthinggui 0.0.4-1 (lø. 13. sep. 23:23:28 +0200 2014)
==> Fetching sources...
==> ERROR: syncthinggui-0.0.4.tar.bz2 was not found in the build-folder,
and is not a URL.
cd /tmp/gambas.1000/30587/archlinux
makepkg -d
==> Creating package: syncthinggui 0.0.4-1 (lø. 13. sep. 23:23:28 +0200
2014)
==> WARNING: Skipping dependency control.
==> Fetching sources...
==> ERROR: syncthinggui-0.0.4.tar.bz2 was not found in the build-folder,
and is not a URL.
cd /tmp/gambas.1000/30587/archlinux
cp syncthinggui-0.0.4-1*.tar.*
/home/myUser/Programmering/GambasBuilds/Sycthing\ GUI/archlinux
cp: could not retrieve information about «syncthinggui-0.0.4-1*.tar.*»:
No such file or folder
The packages have been successfully created.
Benoît Minisini
2014-09-16 14:44:47 UTC
Permalink
Post by Jørn Erik Mørne
Post by Benoît Minisini
Post by Jørn Erik Mørne
If I may add one more issue - hope I am not flooding here now, but this
one has been around since day one. On Manjaro, making installation
packages fail...
========================================
Saving CHANGELOG file.
========================================
Creating package for Archlinux.
========================================
Making build directory.
cd /tmp/gambas.1000/30587/archlinux
makepkg -g >> PKGBUILD
==> Henter kilder...
==> FEIL: syncthinggui-0.0.4.tar.bz2 ble ikke funnet i build-mappen, og
den er heller ikke en URL.
Creating package...
cd /tmp/gambas.1000/30587/archlinux
makepkg --allsource
==> Lager pakke: syncthinggui 0.0.4-1 (lø. 13. sep. 23:23:28 +0200 2014)
==> Henter kilder...
==> FEIL: syncthinggui-0.0.4.tar.bz2 ble ikke funnet i build-mappen, og
den er heller ikke en URL.
cd /tmp/gambas.1000/30587/archlinux
makepkg -d
==> Lager pakke: syncthinggui 0.0.4-1 (lø. 13. sep. 23:23:28 +0200 2014)
==> ADVARSEL: Hopper over kontroll av avhengigheter.
==> Henter kilder...
==> FEIL: syncthinggui-0.0.4.tar.bz2 ble ikke funnet i build-mappen, og
den er heller ikke en URL.
cd /tmp/gambas.1000/30587/archlinux
cp syncthinggui-0.0.4-1*.tar.*
/home/myUser/Programmering/GambasBuilds/Sycthing\ GUI/archlinux
Ingen slik fil eller filkatalog
The packages have been successfully created.
Can you translate the messages in english for me? I see that many things
failed, but I have no idea what.
========================================
Saving CHANGELOG file.
========================================
Creating package for Archlinux.
========================================
Making build directory.
cd /tmp/gambas.1000/30587/archlinux
makepkg -g >> PKGBUILD
==> Fetching sources
==> ERROR: syncthinggui-0.0.4.tar.bz2 was not found in the build-folder,
and is not a URL.
Creating package...
cd /tmp/gambas.1000/30587/archlinux
makepkg --allsource
==> Adding package: syncthinggui 0.0.4-1 (lø. 13. sep. 23:23:28 +0200 2014)
==> Fetching sources...
==> ERROR: syncthinggui-0.0.4.tar.bz2 was not found in the build-folder,
and is not a URL.
cd /tmp/gambas.1000/30587/archlinux
makepkg -d
==> Creating package: syncthinggui 0.0.4-1 (lø. 13. sep. 23:23:28 +0200
2014)
==> WARNING: Skipping dependency control.
==> Fetching sources...
==> ERROR: syncthinggui-0.0.4.tar.bz2 was not found in the build-folder,
and is not a URL.
cd /tmp/gambas.1000/30587/archlinux
cp syncthinggui-0.0.4-1*.tar.*
/home/myUser/Programmering/GambasBuilds/Sycthing\ GUI/archlinux
No such file or folder
The packages have been successfully created.
Can you send me an archive of your project source?
--
Benoît Minisini
Benoît Minisini
2014-09-18 15:16:02 UTC
Permalink
It really doesn't matter what project you use, as all of them fail the
same way. I had Manjaro on two different PCs and the result was the same
on both. Here is a slightly modified version of that project I used to
show the error attached in the previous mail. (Perhaps you'll also see
that because of the TrayIcon that is included in the project, you'll
have to force quit the app to stop it. Clicking x just closes the
window, but leaves Gambas still in running mode... also, in Ubuntu, the
tray icon is not showing, however now it is showing in KDE Manjaro... I
have no idea why it all of a sudden changed like that.)
Kind regards
Jørn Erik
I know it doesn't matter, but I always need the project to reproduce
the same conditions as much as possible!
Now I'm currently compiling Gambas on a ArchLinux installed (with many
problems) inside VirtualBox...
But I didn't write the code that makes ArchLinux package, not being an
ArchLinux user, and the guy who wrote it disappeared.
So be patient!
No hurry :) I am just reporting bugs I find, but I also know you are
doing a lot, and I am in no way expecting you to fix it immediately,
though you are often very quick :) Thanks for making Gambas Benoît, it
is truly a very nice project.
Wishing you a very good day!
Kind regards
Jørn Erik
The ArchLinux packages should be fixed in revision #6487. If you can
confirm, it would be cool.

Regards,
--
Benoît Minisini
Jørn Erik Mørne
2014-09-19 06:51:56 UTC
Permalink
Post by Benoît Minisini
It really doesn't matter what project you use, as all of them fail the
same way. I had Manjaro on two different PCs and the result was the same
on both. Here is a slightly modified version of that project I used to
show the error attached in the previous mail. (Perhaps you'll also see
that because of the TrayIcon that is included in the project, you'll
have to force quit the app to stop it. Clicking x just closes the
window, but leaves Gambas still in running mode... also, in Ubuntu, the
tray icon is not showing, however now it is showing in KDE
Manjaro... I
have no idea why it all of a sudden changed like that.)
Kind regards
Jørn Erik
I know it doesn't matter, but I always need the project to reproduce
the same conditions as much as possible!
Now I'm currently compiling Gambas on a ArchLinux installed (with many
problems) inside VirtualBox...
But I didn't write the code that makes ArchLinux package, not being an
ArchLinux user, and the guy who wrote it disappeared.
So be patient!
No hurry :) I am just reporting bugs I find, but I also know you are
doing a lot, and I am in no way expecting you to fix it immediately,
though you are often very quick :) Thanks for making Gambas Benoît, it
is truly a very nice project.
Wishing you a very good day!
Kind regards
Jørn Erik
The ArchLinux packages should be fixed in revision #6487. If you can
confirm, it would be cool.
Regards,
Now, I can't compile Gambas any longer. Last successful compile was
about a week ago. Has there been any new dependencies added recently?

Kind regards
Jørn Erik

checking for libintl headers... ./configure: line 17183: cd:
/home/myUser/Programmering/Gambas: No such file or directory
/usr/include/
checking for libintl libraries... no
configure: WARNING: Unable to find file: libintl.so
./configure: line 17340: ./warnings.log: Permission denied
touch: cannot touch 'DISABLED': Permission denied
touch: cannot touch 'DISABLED.libintl': Permission denied
configure: WARNING: This library may be located inside the system C library
./configure: line 17398: ./warnings.log: Permission denied
checking for libiconv headers... /usr/include/
checking for libiconv libraries... no
configure: WARNING: Unable to find file: libiconv.so
./configure: line 17675: ./warnings.log: Permission denied
touch: cannot touch 'DISABLED': Permission denied
touch: cannot touch 'DISABLED.libiconv': Permission denied
configure: WARNING: This library may be located inside the system C library
./configure: line 17733: ./warnings.log: Permission denied
checking for libffi component with pkg-config... ./configure: line
18100: confdefs.h: Permission denied
OK
checking for gb.inotify headers... /usr/include/
checking for gb.inotify libraries...
./configure: line 19099: confdefs.h: Permission denied
./configure: line 19146: confdefs.h: Permission denied
checking for xdg-mime... xdg-mime
./configure: line 19203: confcache: Permission denied
./configure: line 19264: confcache: Permission denied
configure: not updating unwritable cache ../config.cache
checking that generated files are newer than configure... done
configure: creating ./config.status
./configure: line 19364: ./config.status: Permission denied
./configure: line 19378: ./config.status: Permission denied
./configure: line 19748: ./config.status: Permission denied
./configure: line 19776: ./config.status: Permission denied
./configure: line 19784: ./config.status: Permission denied
./configure: line 19817: ./config.status: Permission denied
./configure: line 19836: ./config.status: Permission denied
./configure: line 19913: ./config.status: Permission denied
./configure: line 19924: ./config.status: Permission denied
./configure: line 19935: ./config.status: Permission denied
./configure: line 20320: ./config.status: Permission denied
./configure: line 20423: conf10673subs.sh: Permission denied
configure: error: could not make ./config.status
configure: error: ./configure failed for main
Charlie Reinl
2014-09-19 08:49:09 UTC
Permalink
Post by Jørn Erik Mørne
Post by Benoît Minisini
It really doesn't matter what project you use, as all of them fail the
same way. I had Manjaro on two different PCs and the result was the same
on both. Here is a slightly modified version of that project I used to
show the error attached in the previous mail. (Perhaps you'll also see
that because of the TrayIcon that is included in the project, you'll
have to force quit the app to stop it. Clicking x just closes the
window, but leaves Gambas still in running mode... also, in Ubuntu, the
tray icon is not showing, however now it is showing in KDE Manjaro... I
have no idea why it all of a sudden changed like that.)
Kind regards
Jørn Erik
I know it doesn't matter, but I always need the project to reproduce
the same conditions as much as possible!
Now I'm currently compiling Gambas on a ArchLinux installed (with many
problems) inside VirtualBox...
But I didn't write the code that makes ArchLinux package, not being an
ArchLinux user, and the guy who wrote it disappeared.
So be patient!
No hurry :) I am just reporting bugs I find, but I also know you are
doing a lot, and I am in no way expecting you to fix it immediately,
though you are often very quick :) Thanks for making Gambas Benoît, it
is truly a very nice project.
Wishing you a very good day!
Kind regards
Jørn Erik
The ArchLinux packages should be fixed in revision #6487. If you can
confirm, it would be cool.
Regards,
Now, I can't compile Gambas any longer. Last successful compile was
about a week ago. Has there been any new dependencies added recently?
Kind regards
Jørn Erik
/home/myUser/Programmering/Gambas: No such file or directory
/usr/include/
checking for libintl libraries... no
configure: WARNING: Unable to find file: libintl.so
./configure: line 17340: ./warnings.log: Permission denied
touch: cannot touch 'DISABLED': Permission denied
touch: cannot touch 'DISABLED.libintl': Permission denied
configure: WARNING: This library may be located inside the system C library
./configure: line 17398: ./warnings.log: Permission denied
checking for libiconv headers... /usr/include/
checking for libiconv libraries... no
configure: WARNING: Unable to find file: libiconv.so
./configure: line 17675: ./warnings.log: Permission denied
touch: cannot touch 'DISABLED': Permission denied
touch: cannot touch 'DISABLED.libiconv': Permission denied
configure: WARNING: This library may be located inside the system C library
./configure: line 17733: ./warnings.log: Permission denied
checking for libffi component with pkg-config... ./configure: line
18100: confdefs.h: Permission denied
OK
checking for gb.inotify headers... /usr/include/
checking for gb.inotify libraries...
./configure: line 19099: confdefs.h: Permission denied
./configure: line 19146: confdefs.h: Permission denied
checking for xdg-mime... xdg-mime
./configure: line 19203: confcache: Permission denied
./configure: line 19264: confcache: Permission denied
configure: not updating unwritable cache ../config.cache
checking that generated files are newer than configure... done
configure: creating ./config.status
./configure: line 19364: ./config.status: Permission denied
./configure: line 19378: ./config.status: Permission denied
./configure: line 19748: ./config.status: Permission denied
./configure: line 19776: ./config.status: Permission denied
./configure: line 19784: ./config.status: Permission denied
./configure: line 19817: ./config.status: Permission denied
./configure: line 19836: ./config.status: Permission denied
./configure: line 19913: ./config.status: Permission denied
./configure: line 19924: ./config.status: Permission denied
./configure: line 19935: ./config.status: Permission denied
./configure: line 20320: ./config.status: Permission denied
./configure: line 20423: conf10673subs.sh: Permission denied
configure: error: could not make ./config.status
configure: error: ./configure failed for main
Salut Jørn Erik,

what I see is Permission denied seams to be a Permission problem.
--
Amicalement
Charlie
Tobias Boege
2014-09-19 08:50:59 UTC
Permalink
Post by Jørn Erik Mørne
Post by Benoît Minisini
It really doesn't matter what project you use, as all of them fail the
same way. I had Manjaro on two different PCs and the result was the same
on both. Here is a slightly modified version of that project I used to
show the error attached in the previous mail. (Perhaps you'll also see
that because of the TrayIcon that is included in the project, you'll
have to force quit the app to stop it. Clicking x just closes the
window, but leaves Gambas still in running mode... also, in Ubuntu, the
tray icon is not showing, however now it is showing in KDE Manjaro... I
have no idea why it all of a sudden changed like that.)
Kind regards
J??rn Erik
I know it doesn't matter, but I always need the project to reproduce
the same conditions as much as possible!
Now I'm currently compiling Gambas on a ArchLinux installed (with many
problems) inside VirtualBox...
But I didn't write the code that makes ArchLinux package, not being an
ArchLinux user, and the guy who wrote it disappeared.
So be patient!
No hurry :) I am just reporting bugs I find, but I also know you are
doing a lot, and I am in no way expecting you to fix it immediately,
though you are often very quick :) Thanks for making Gambas Beno??t, it
is truly a very nice project.
Wishing you a very good day!
Kind regards
J??rn Erik
The ArchLinux packages should be fixed in revision #6487. If you can
confirm, it would be cool.
Regards,
Now, I can't compile Gambas any longer. Last successful compile was
about a week ago. Has there been any new dependencies added recently?
Kind regards
J??rn Erik
/home/myUser/Programmering/Gambas: No such file or directory
/usr/include/
checking for libintl libraries... no
configure: WARNING: Unable to find file: libintl.so
./configure: line 17340: ./warnings.log: Permission denied
touch: cannot touch 'DISABLED': Permission denied
touch: cannot touch 'DISABLED.libintl': Permission denied
configure: WARNING: This library may be located inside the system C library
./configure: line 17398: ./warnings.log: Permission denied
checking for libiconv headers... /usr/include/
checking for libiconv libraries... no
configure: WARNING: Unable to find file: libiconv.so
./configure: line 17675: ./warnings.log: Permission denied
touch: cannot touch 'DISABLED': Permission denied
touch: cannot touch 'DISABLED.libiconv': Permission denied
configure: WARNING: This library may be located inside the system C library
./configure: line 17733: ./warnings.log: Permission denied
checking for libffi component with pkg-config... ./configure: line
18100: confdefs.h: Permission denied
OK
checking for gb.inotify headers... /usr/include/
checking for gb.inotify libraries...
./configure: line 19099: confdefs.h: Permission denied
./configure: line 19146: confdefs.h: Permission denied
checking for xdg-mime... xdg-mime
./configure: line 19203: confcache: Permission denied
./configure: line 19264: confcache: Permission denied
configure: not updating unwritable cache ../config.cache
checking that generated files are newer than configure... done
configure: creating ./config.status
./configure: line 19364: ./config.status: Permission denied
./configure: line 19378: ./config.status: Permission denied
./configure: line 19748: ./config.status: Permission denied
./configure: line 19776: ./config.status: Permission denied
./configure: line 19784: ./config.status: Permission denied
./configure: line 19817: ./config.status: Permission denied
./configure: line 19836: ./config.status: Permission denied
./configure: line 19913: ./config.status: Permission denied
./configure: line 19924: ./config.status: Permission denied
./configure: line 19935: ./config.status: Permission denied
./configure: line 20320: ./config.status: Permission denied
./configure: line 20423: conf10673subs.sh: Permission denied
configure: error: could not make ./config.status
configure: error: ./configure failed for main
No, these say "Permission denied" (a lot!). Something with your source tree
is not OK anymore. Did you build as root last time? The first two lines also
suggest that you moved the tree elsewhere?
--
"There's an old saying: Don't change anything... ever!" -- Mr. Monk
Jussi Lahtinen
2014-09-19 13:59:38 UTC
Permalink
Like others have already said, it seems to be permission problem. Maybe by
using sudo in wrong place..?
I suggest to delete your source folder and checkout again. Should be the
easiest way.


Jussi
Post by Jørn Erik Mørne
Post by Benoît Minisini
It really doesn't matter what project you use, as all of them fail the
same way. I had Manjaro on two different PCs and the result was the same
on both. Here is a slightly modified version of that project I used to
show the error attached in the previous mail. (Perhaps you'll also see
that because of the TrayIcon that is included in the project, you'll
have to force quit the app to stop it. Clicking x just closes the
window, but leaves Gambas still in running mode... also, in Ubuntu, the
tray icon is not showing, however now it is showing in KDE Manjaro... I
have no idea why it all of a sudden changed like that.)
Kind regards
Jørn Erik
I know it doesn't matter, but I always need the project to reproduce
the same conditions as much as possible!
Now I'm currently compiling Gambas on a ArchLinux installed (with many
problems) inside VirtualBox...
But I didn't write the code that makes ArchLinux package, not being an
ArchLinux user, and the guy who wrote it disappeared.
So be patient!
No hurry :) I am just reporting bugs I find, but I also know you are
doing a lot, and I am in no way expecting you to fix it immediately,
though you are often very quick :) Thanks for making Gambas Benoît, it
is truly a very nice project.
Wishing you a very good day!
Kind regards
Jørn Erik
The ArchLinux packages should be fixed in revision #6487. If you can
confirm, it would be cool.
Regards,
Now, I can't compile Gambas any longer. Last successful compile was
about a week ago. Has there been any new dependencies added recently?
Kind regards
Jørn Erik
/home/myUser/Programmering/Gambas: No such file or directory
/usr/include/
checking for libintl libraries... no
configure: WARNING: Unable to find file: libintl.so
./configure: line 17340: ./warnings.log: Permission denied
touch: cannot touch 'DISABLED': Permission denied
touch: cannot touch 'DISABLED.libintl': Permission denied
configure: WARNING: This library may be located inside the system C library
./configure: line 17398: ./warnings.log: Permission denied
checking for libiconv headers... /usr/include/
checking for libiconv libraries... no
configure: WARNING: Unable to find file: libiconv.so
./configure: line 17675: ./warnings.log: Permission denied
touch: cannot touch 'DISABLED': Permission denied
touch: cannot touch 'DISABLED.libiconv': Permission denied
configure: WARNING: This library may be located inside the system C library
./configure: line 17733: ./warnings.log: Permission denied
checking for libffi component with pkg-config... ./configure: line
18100: confdefs.h: Permission denied
OK
checking for gb.inotify headers... /usr/include/
checking for gb.inotify libraries...
./configure: line 19099: confdefs.h: Permission denied
./configure: line 19146: confdefs.h: Permission denied
checking for xdg-mime... xdg-mime
./configure: line 19203: confcache: Permission denied
./configure: line 19264: confcache: Permission denied
configure: not updating unwritable cache ../config.cache
checking that generated files are newer than configure... done
configure: creating ./config.status
./configure: line 19364: ./config.status: Permission denied
./configure: line 19378: ./config.status: Permission denied
./configure: line 19748: ./config.status: Permission denied
./configure: line 19776: ./config.status: Permission denied
./configure: line 19784: ./config.status: Permission denied
./configure: line 19817: ./config.status: Permission denied
./configure: line 19836: ./config.status: Permission denied
./configure: line 19913: ./config.status: Permission denied
./configure: line 19924: ./config.status: Permission denied
./configure: line 19935: ./config.status: Permission denied
./configure: line 20320: ./config.status: Permission denied
./configure: line 20423: conf10673subs.sh: Permission denied
configure: error: could not make ./config.status
configure: error: ./configure failed for main
------------------------------------------------------------------------------
Slashdot TV. Video for Nerds. Stuff that Matters.
http://pubads.g.doubleclick.net/gampad/clk?id=160591471&iu=/4140/ostg.clktrk
_______________________________________________
Gambas-user mailing list
https://lists.sourceforge.net/lists/listinfo/gambas-user
Jørn Erik Mørne
2014-09-19 14:53:52 UTC
Permalink
Post by Charlie Reinl
Salut Jørn Erik,
Hei på deg Charlie :)
Post by Charlie Reinl
what I see is Permission denied seams to be a Permission problem.
No, these say "Permission denied" (a lot!). Something with your source tree
is not OK anymore. Did you build as root last time? The first two lines also
suggest that you moved the tree elsewhere?
Like others have already said, it seems to be permission problem. Maybe by
using sudo in wrong place..?
I suggest to delete your source folder and checkout again. Should be the
easiest way.
Jussi
Thanks for the suggestions. This is how I've done it:

For a long time I've kept a dir where I just do svn update, ./reconf-all, ./configure -C, make
After that I would run a PKGBUILD script to make an arch package out of it. This work until last week. Then this started to happen.
I thought I'd wait to see if it would resolve with a newer code base, but it didn't. So, yesterday I deleted the SVN dir, and did a fresh checkout, but it is still the same result... I currently have no idea what it is, but it seems strange that I have permission problems in my home dir...
Jussi Lahtinen
2014-09-19 22:23:50 UTC
Permalink
Go to the source folder and run "ls -a -l".


Jussi
Post by Jørn Erik Mørne
Post by Charlie Reinl
Salut Jørn Erik,
Hei på deg Charlie :)
Post by Charlie Reinl
what I see is Permission denied seams to be a Permission problem.
No, these say "Permission denied" (a lot!). Something with your source
tree
Post by Charlie Reinl
is not OK anymore. Did you build as root last time? The first two lines
also
Post by Charlie Reinl
suggest that you moved the tree elsewhere?
Like others have already said, it seems to be permission problem. Maybe by
using sudo in wrong place..?
I suggest to delete your source folder and checkout again. Should be the
easiest way.
Jussi
For a long time I've kept a dir where I just do svn update, ./reconf-all,
./configure -C, make
After that I would run a PKGBUILD script to make an arch package out of
it. This work until last week. Then this started to happen.
I thought I'd wait to see if it would resolve with a newer code base, but
it didn't. So, yesterday I deleted the SVN dir, and did a fresh checkout,
but it is still the same result... I currently have no idea what it is, but
it seems strange that I have permission problems in my home dir...
------------------------------------------------------------------------------
Slashdot TV. Video for Nerds. Stuff that Matters.
http://pubads.g.doubleclick.net/gampad/clk?id=160591471&iu=/4140/ostg.clktrk
_______________________________________________
Gambas-user mailing list
https://lists.sourceforge.net/lists/listinfo/gambas-user
Jørn Erik Mørne
2014-09-20 13:29:26 UTC
Permalink
Post by Benoît Minisini
It really doesn't matter what project you use, as all of them fail the
same way. I had Manjaro on two different PCs and the result was the same
on both. Here is a slightly modified version of that project I used to
show the error attached in the previous mail. (Perhaps you'll also see
that because of the TrayIcon that is included in the project, you'll
have to force quit the app to stop it. Clicking x just closes the
window, but leaves Gambas still in running mode... also, in Ubuntu, the
tray icon is not showing, however now it is showing in KDE
Manjaro... I
have no idea why it all of a sudden changed like that.)
Kind regards
Jørn Erik
I know it doesn't matter, but I always need the project to reproduce
the same conditions as much as possible!
Now I'm currently compiling Gambas on a ArchLinux installed (with many
problems) inside VirtualBox...
But I didn't write the code that makes ArchLinux package, not being an
ArchLinux user, and the guy who wrote it disappeared.
So be patient!
No hurry :) I am just reporting bugs I find, but I also know you are
doing a lot, and I am in no way expecting you to fix it immediately,
though you are often very quick :) Thanks for making Gambas Benoît, it
is truly a very nice project.
Wishing you a very good day!
Kind regards
Jørn Erik
The ArchLinux packages should be fixed in revision #6487. If you can
confirm, it would be cool.
Regards,
Hi! It is getting somewhere, but not quite there yet, it seems. I can
now make a package, but when I try to install it (no matter which one) I
get some error messages about the package file:
1. Missing meta data
2. Invalid or corrupt package

Kind regards
Jørn Erik
Benoît Minisini
2014-09-20 18:26:22 UTC
Permalink
Post by Jørn Erik Mørne
Hi! It is getting somewhere, but not quite there yet, it seems. I can
now make a package, but when I try to install it (no matter which one) I
1. Missing meta data
2. Invalid or corrupt package
Kind regards
Jørn Erik
I will try to install it too on my ArchLinux VM. Can you tell me how you
do that? And do you have more detailed errors or just these messages?
--
Benoît Minisini
Jørn Erik Mørne
2014-09-20 19:11:18 UTC
Permalink
Post by Benoît Minisini
Post by Jørn Erik Mørne
Hi! It is getting somewhere, but not quite there yet, it seems. I can
now make a package, but when I try to install it (no matter which one) I
1. Missing meta data
2. Invalid or corrupt package
Kind regards
Jørn Erik
I will try to install it too on my ArchLinux VM. Can you tell me how you
do that? And do you have more detailed errors or just these messages?
I assume you mean how to install the generated package? Just type 'sudo
pacman -U <package-name>'.
I am on a different PC now, so I cannot provide the exact copy from the
terminal yet, but it basically just said that which I posted, that the
package had missing meta data and that it was corrupt. It came out in
Norwegian, so I just translated the errors.

Kind regards
Jørn Erik

Continue reading on narkive:
Loading...